# PlotMM::PlotLabel Class Reference

List of all members.

## Detailed Description

Class to draw labels in a plot.

## Public Member Functions

| PlotLabel (Gtk::Widget *w, Gtk::Orientation o, const Glib::ustring &="")
void | set_text (const Glib::ustring &)
Glib::ustring | get_text ()
Pango::FontDescription * | font ()
void | set_enabled (bool b)
bool | enabled () const

## Protected Member Functions

virtual bool | on_expose_event (GdkEventExpose *event)
virtual void | on_realize ()
virtual void | update_ ()
Glib::RefPtr< Gdk::Pixmap > | rotate_right_ (Glib::RefPtr< Gdk::Pixmap >)
Glib::RefPtr< Gdk::Pixmap > | rotate_left_ (Glib::RefPtr< Gdk::Pixmap >)

## Protected Attributes

Glib::RefPtr< Gdk::Window > | window_
Glib::RefPtr< Gdk::GC > | gc_
Pango::FontDescription | font_

## Member Function Documentation

Glib::ustring PlotLabel::get_text | ( |  | ) |

| Query the label's text

Glib::RefPtr< Gdk::Pixmap > PlotLabel::rotate_left_ | ( | Glib::RefPtr< Gdk::Pixmap > | p | ) | `[protected]`

| Rotate the text label by 90 degree to the left

Glib::RefPtr< Gdk::Pixmap > PlotLabel::rotate_right_ | ( | Glib::RefPtr< Gdk::Pixmap > | p | ) | `[protected]`

| Rotate the text label by 90 degree to the right

void PlotLabel::set_enabled | ( | bool | b | ) |

| Enable or disable displaying of the label's text When disabled, the label will require no space

void PlotLabel::set_text | ( | const Glib::ustring & | str | ) |

| Set the text for the label If the given text is an empty string the displayed label will show nothing but will still require some space.